Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 784128

Summary: dev-java/commons-codec-1.{7,11} removal (both have min java 1.6 and EAPI 6/7)
Product: Gentoo Linux Reporter: Volkmar W. Pogatzki <gentoo>
Component: Current packagesAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: normal CC: jstein
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/20469
Whiteboard:
Package list:
dev-java/commons-codec-1.15 * dev-java/commons-lang-3.11-r1 *
Runtime testing required: ---
Bug Depends on: 784407    
Bug Blocks: 697014, 698100, 770247    

Description Volkmar W. Pogatzki 2021-04-19 12:35:35 UTC
Please update, then remove dev-java/commons-codec-1.{7,11}
Comment 1 Larry the Git Cow gentoo-dev 2021-04-20 12:43:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2a120974c585b9ee3413788ed96dd7776de48bf

commit e2a120974c585b9ee3413788ed96dd7776de48bf
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2021-04-20 08:17:08 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-04-20 12:35:30 +0000

    dev-java/commons-codec: bump to 1.15
    
    Bug: https://bugs.gentoo.org/784128
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/20469/commits/9ba6924beb50f819bef8c468e358ccc1391d75ae
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/commons-codec/Manifest                  |  1 +
 dev-java/commons-codec/commons-codec-1.15.ebuild | 56 ++++++++++++++++++++++++
 2 files changed, 57 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2021-04-20 12:46:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c76fb5f4fdaa536b9efffea36dba5039199ac1f

commit 2c76fb5f4fdaa536b9efffea36dba5039199ac1f
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2021-04-20 09:43:23 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-04-20 12:44:55 +0000

    dev-java/commons-codec: remove obsolete
    
    Bug: https://bugs.gentoo.org/784128
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/20469
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/commons-codec/Manifest                  |  1 -
 dev-java/commons-codec/commons-codec-1.11.ebuild | 55 ------------------------
 2 files changed, 56 deletions(-)
Comment 3 NATTkA bot gentoo-dev 2021-04-21 09:04:26 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-04-21 09:12:26 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-04-25 06:12:24 UTC
Unable to check for sanity:

> dependent bug #784407 is missing keywords
Comment 6 Larry the Git Cow gentoo-dev 2021-05-17 07:38:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02d7771375a0f47863b0d34ec65379d965bae3ff

commit 02d7771375a0f47863b0d34ec65379d965bae3ff
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2021-05-17 07:38:25 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-05-17 07:38:36 +0000

    dev-java/commons-codec: removed obsolete 1.7
    
    Closes: https://bugs.gentoo.org/784128
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/commons-codec/Manifest                 |  1 -
 dev-java/commons-codec/commons-codec-1.7.ebuild | 42 -------------------------
 2 files changed, 43 deletions(-)